summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'patches/kde-autoconf/kde-autoconf.sh')
-rw-r--r--patches/kde-autoconf/kde-autoconf.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/patches/kde-autoconf/kde-autoconf.sh b/patches/kde-autoconf/kde-autoconf.sh
new file mode 100644
index 0000000..af582fe
--- /dev/null
+++ b/patches/kde-autoconf/kde-autoconf.sh
@@ -0,0 +1,12 @@
+# Copyright 2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+patch_targets() {
+ # If we are not using autoconf 2.6, just skip the patch for the sake of
+ # limiting the resulting patche
+ [[ $(WANT_AUTOCONF=2.5 autoconf --version | head -n 1) == autoconf*2.6* ]] \
+ || return 0
+
+ # Find the admindir, wherever it is.
+ find "${WORKDIR}" -path '*/admin/cvs.sh' -type f
+}